Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Problem to download papyrus plugin 1.12-x from http://www.papyrusuml.org/home/liblocal/doc
Problem to download papyrus plugin 1.12-x from http://www.papyrusuml.org/home/liblocal/doc [message #630449] Sat, 02 October 2010 12:31 Go to next message
Andres  is currently offline Andres
Messages: 57
Registered: July 2010
Member
Hello, I am working with eclipse helios -modeling version-, and i want with update manager download papyrus plugin.

If i download the plugin with the option Help,Installing Modeling Components, i download succesfull the plugin version 0.7.

But if i try to download the last version 1.12-3, with help,Install new software, and the update site http://www.papyrusuml.org/home/liblocal/docs/updates/papyrus

I have the folowing error:

Cannot complete the install because one or more required items could not be found.
Software being installed: Papyrus UML Modeler 1.12.3.200912231359 (com.cea.papyrus.feature.feature.group 1.12.3.200912231359)
Missing requirement: Papyrus UML Modeler 1.12.3.200912231359 (com.cea.papyrus.feature.feature.group 1.12.3.200912231359) requires 'org.eclipse.draw2d.feature.group [3.5.0,3.6.0)' but it could not be found

ANY suggestion?


Thanks,
Andrés
Re: Problem to download papyrus plugin 1.12-x from http://www.papyrusuml.org/home/liblocal/doc [message #630567 is a reply to message #630449] Mon, 04 October 2010 04:31 Go to previous messageGo to next message
Remi Schnekenburger is currently offline Remi Schnekenburger
Messages: 127
Registered: July 2009
Senior Member
Hi Andres,

The old version of Papyrus 1.12 (from the site papyrusuml.org) can only be installed on Eclipse 3.5; not the helios version.

As the new Papyrus MDT project proposes a more powerful tool now, we won't migrate the old version to new versions of Eclipse. Users can still install the v1.12 on old Eclipse versions, or use the RCP which contains everything needed.

Cheers,
Rémi


Re: Problem to download papyrus plugin 1.12-x from http://www.papyrusuml.org/home/liblocal/doc [message #630884 is a reply to message #630567] Tue, 05 October 2010 09:01 Go to previous message
Andres  is currently offline Andres
Messages: 57
Registered: July 2010
Member
Remi, thank you for your answer...

I have an other question to do.

My be I can open a new topic...but...

I want to make a new papyrus editor, with a new profile, for example like sysml diagrams... I am studying the source of papyrus plugins (you recommendations in an other post for exaple see org.eclipse.papyrus.diagrams.common) and the source of sysml. But i dont understand how to add my own profile and my gmf files in a new plugin.And i dont understand how to programatically extend the extension point.(or i dont know well, what extension point I 'll be use...)

Do you have some documentation that could help me?...
What do you advice ofr me to do or learn to do my project?


if you can guide me I'll be very grateful!

Andrés
Previous Topic:Component Diagram
Next Topic:horizontal line in UML use case
Goto Forum:
  


Current Time: Tue Sep 02 12:59:10 EDT 2014

Powered by FUDForum. Page generated in 0.01942 seconds